## org.apache.taglibs.standard.tag.common.fmt
Class FormatDateSupport

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          org.apache.taglibs.standard.tag.common.fmt.FormatDateSupport

All Implemented Interfaces:
  Serializable, IterationTag, JspTag, Tag

Direct Known Subclasses:
  FormatDateTag, FormatDateTag

    public abstract class FormatDateSupport

extends TagSupport

Support for tag handlers for <formatDate>, the date and time formatting tag in JSTL 1.0.

Author:
  Jan Luehe
See Also:
  Serialized Form

Field Summary
`protected String` `dateStyle`
`protected String` `pattern`
`protected String` `timeStyle`
`protected Object` `timeZone`
`protected String` `type`
`protected Date` `value`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`FormatDateSupport()`

Method Summary
`int` `doEndTag()` Default processing of the end tag returning EVAL_PAGE.
`void` `release()` Release state.
`void` `setScope(String scope)`
`void` `setVar(String var)`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doStartTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    protected Date value

### type

    protected String type

### pattern

    protected String pattern

### timeZone

    protected Object timeZone

### dateStyle

    protected String dateStyle

### timeStyle

    protected String timeStyle

Constructor Detail

### FormatDateSupport

    public FormatDateSupport()

Method Detail

### setVar

    public void setVar(String var)

### setScope

    public void setScope(String scope)

### doEndTag

    public int doEndTag()
                 throws JspException

  Description copied from class: `TagSupport`
  Default processing of the end tag returning EVAL_PAGE.

  Specified by:
    `doEndTag` in interface `Tag`
  Overrides:
    `doEndTag` in class `TagSupport`
  Returns:
    EVAL_PAGE
  Throws:
    `JspException` - if an error occurs while processing this tag
  See Also:
    `Tag.doEndTag()`

### release

    public void release()

  Description copied from class: `TagSupport`
  Release state.

  Specified by:
    `release` in interface `Tag`
  Overrides:
    `release` in class `TagSupport`
  See Also:
    `Tag.release()`

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.